<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [renamePurchasedServer](./bitburner.ns.renamepurchasedserver.md)

## NS.renamePurchasedServer() method

Rename a purchased server.

**Signature:**

```typescript
renamePurchasedServer(hostname: string, newName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  hostname | string | Current server hostname. |
|  newName | string | New server hostname. |

**Returns:**

boolean

True if successful, and false otherwise.

## Remarks

RAM cost: 0 GB

